Open CASCADE Technology: GccAna_Circ2dTanOnRad Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GccAna_Circ2dTanOnRad Class Reference

This class implements the algorithms used to create a 2d circle tangent to a 2d entity, centered on a curv and with a given radius. The arguments of all construction methods are : More...

`#include <GccAna_Circ2dTanOnRad.hxx>`

## Public Member Functions
| GccAna_Circ2dTanOnRad (const GccEnt_QualifiedCirc &Qualified1, const gp_Lin2d &OnLine, const Standard_Real Radius, const Standard_Real Tolerance)
| This methods implements the algorithms used to create 2d Circles tangent to a circle and centered on a 2d Line with a given radius. Tolerance is used to find solution in every limit cases. For example Tolerance is used in the case of EnclosedCirc when Radius-R1+dist is greater Tolerance (dist is the distance between the line and the location of the circ, R1 is the radius of the circ) because there is no solution. raises NegativeValue in case of NegativeRadius. More...
| GccAna_Circ2dTanOnRad (const GccEnt_QualifiedLin &Qualified1, const gp_Lin2d &OnLine, const Standard_Real Radius, const Standard_Real Tolerance)
| This methods implements the algorithms used to create 2d Circles tangent to a 2d Line and centered on a 2d Line with a given radius. Tolerance is used to find solution in every limit cases. raises NegativeValue in case of NegativeRadius. More...
| GccAna_Circ2dTanOnRad (const gp_Pnt2d &Point1, const gp_Lin2d &OnLine, const Standard_Real Radius, const Standard_Real Tolerance)
| This methods implements the algorithms used to create 2d Circles passing through a 2d Point and centered on a 2d Line with a given radius. Tolerance is used to find solution in every limit cases. More...
| GccAna_Circ2dTanOnRad (const GccEnt_QualifiedCirc &Qualified1, const gp_Circ2d &OnCirc, const Standard_Real Radius, const Standard_Real Tolerance)
| This methods implements the algorithms used to create 2d Circles tangent to a circle and centered on a 2d Circle with a given radius. Tolerance is used to find solution in every limit cases. raises NegativeValue in case of NegativeRadius. More...
| GccAna_Circ2dTanOnRad (const GccEnt_QualifiedLin &Qualified1, const gp_Circ2d &OnCirc, const Standard_Real Radius, const Standard_Real Tolerance)
| This methods implements the algorithms used to create 2d Circles tangent to a 2d Line and centered on a 2d Line with a given radius. Tolerance is used to find solution in every limit cases. raises NegativeValue in case of NegativeRadius. More...
| GccAna_Circ2dTanOnRad (const gp_Pnt2d &Point1, const gp_Circ2d &OnCirc, const Standard_Real Radius, const Standard_Real Tolerance)
| This methods implements the algorithms used to create 2d Circles passing through a 2d Point and centered on a 2d Line with a given radius. Tolerance is used to find solution in every limit cases. raises NegativeValue in case of NegativeRadius. More...
Standard_Boolean | IsDone () const
| Returns true if the construction algorithm does not fail (even if it finds no solution). Note: IsDone protects against a failure arising from a more internal intersection algorithm, which has reached its numeric limits. More...
Standard_Integer | NbSolutions () const
| This method returns the number of circles, representing solutions. Raises NotDone if the construction algorithm didn't succeed. More...
gp_Circ2d | ThisSolution (const Standard_Integer Index) const
| Returns the solution number Index and raises OutOfRange exception if Index is greater than the number of solutions. Be careful: the Index is only a way to get all the solutions, but is not associated to theses outside the context of the algorithm-object. Raises NotDone if the construction algorithm didn't succeed. It raises OutOfRange if Index is greater than the number of solutions. More...
void | WhichQualifier (const Standard_Integer Index, GccEnt_Position &Qualif1) const
| Returns the qualifier Qualif1 of the tangency argument for the solution of index Index computed by this algorithm. The returned qualifier is: More...
void | Tangency1 (const Standard_Integer Index, Standard_Real &ParSol, Standard_Real &ParArg, gp_Pnt2d &PntSol) const
| Returns informations about the tangency point between the result number Index and the first argument. ParSol is the intrinsic parameter of the point on the solution curv. ParArg is the intrinsic parameter of the point on the argument curv. PntSol is the tangency point on the solution curv. PntArg is the tangency point on the argument curv. Raises NotDone if the construction algorithm didn't succeed. It raises OutOfRange if Index is greater than the number of solutions. More...
void | CenterOn3 (const Standard_Integer Index, Standard_Real &ParArg, gp_Pnt2d &PntSol) const
| Returns informations about the center (on the curv) of the result. ParArg is the intrinsic parameter of the point on the argument curv. PntSol is the center point of the solution curv. Raises NotDone if the construction algorithm didn't succeed. It raises OutOfRange if Index is greater than the number of solutions. More...
Standard_Boolean | IsTheSame1 (const Standard_Integer Index) const
| Returns True if the solution number Index is equal to the first argument and False in the other cases. Raises NotDone if the construction algorithm didn't succeed. It raises OutOfRange if Index is greater than the number of solutions. More...

## Detailed Description

This class implements the algorithms used to create a 2d circle tangent to a 2d entity, centered on a curv and with a given radius. The arguments of all construction methods are :

- The qualified element for the tangency constrains (QualifiedCirc, QualifiedLin, Points).
- The Center element (circle, line).
- A real Tolerance. Tolerance is only used in the limits cases. For example : We want to create a circle tangent to an OutsideCirc C1 centered on a line OnLine with a radius Radius and with a tolerance Tolerance. If we did not use Tolerance it is impossible to find a solution in the the following case : OnLine is outside C1. There is no intersection point between C1 and OnLine. The distance between the line and the circle is greater than Radius. With Tolerance we will give a solution if the distance between C1 and OnLine is lower than or equal Tolerance.

## Constructor & Destructor Documentation

GccAna_Circ2dTanOnRad::GccAna_Circ2dTanOnRad | ( | const GccEnt_QualifiedCirc & | Qualified1,
|  | const gp_Lin2d & | OnLine,
|  | const Standard_Real | Radius,
|  | const Standard_Real | Tolerance
| ) |  |

This methods implements the algorithms used to create 2d Circles tangent to a circle and centered on a 2d Line with a given radius. Tolerance is used to find solution in every limit cases. For example Tolerance is used in the case of EnclosedCirc when Radius-R1+dist is greater Tolerance (dist is the distance between the line and the location of the circ, R1 is the radius of the circ) because there is no solution. raises NegativeValue in case of NegativeRadius.

GccAna_Circ2dTanOnRad::GccAna_Circ2dTanOnRad | ( | const GccEnt_QualifiedLin & | Qualified1,
|  | const gp_Lin2d & | OnLine,
|  | const Standard_Real | Radius,
|  | const Standard_Real | Tolerance
| ) |  |

This methods implements the algorithms used to create 2d Circles tangent to a 2d Line and centered on a 2d Line with a given radius. Tolerance is used to find solution in every limit cases. raises NegativeValue in case of NegativeRadius.

GccAna_Circ2dTanOnRad::GccAna_Circ2dTanOnRad | ( | const gp_Pnt2d & | Point1,
|  | const gp_Lin2d & | OnLine,
|  | const Standard_Real | Radius,
|  | const Standard_Real | Tolerance
| ) |  |

This methods implements the algorithms used to create 2d Circles passing through a 2d Point and centered on a 2d Line with a given radius. Tolerance is used to find solution in every limit cases.

GccAna_Circ2dTanOnRad::GccAna_Circ2dTanOnRad | ( | const GccEnt_QualifiedCirc & | Qualified1,
|  | const gp_Circ2d & | OnCirc,
|  | const Standard_Real | Radius,
|  | const Standard_Real | Tolerance
| ) |  |

This methods implements the algorithms used to create 2d Circles tangent to a circle and centered on a 2d Circle with a given radius. Tolerance is used to find solution in every limit cases. raises NegativeValue in case of NegativeRadius.

GccAna_Circ2dTanOnRad::GccAna_Circ2dTanOnRad | ( | const GccEnt_QualifiedLin & | Qualified1,
|  | const gp_Circ2d & | OnCirc,
|  | const Standard_Real | Radius,
|  | const Standard_Real | Tolerance
| ) |  |

This methods implements the algorithms used to create 2d Circles tangent to a 2d Line and centered on a 2d Line with a given radius. Tolerance is used to find solution in every limit cases. raises NegativeValue in case of NegativeRadius.

GccAna_Circ2dTanOnRad::GccAna_Circ2dTanOnRad | ( | const gp_Pnt2d & | Point1,
|  | const gp_Circ2d & | OnCirc,
|  | const Standard_Real | Radius,
|  | const Standard_Real | Tolerance
| ) |  |

This methods implements the algorithms used to create 2d Circles passing through a 2d Point and centered on a 2d Line with a given radius. Tolerance is used to find solution in every limit cases. raises NegativeValue in case of NegativeRadius.

## Member Function Documentation

void GccAna_Circ2dTanOnRad::CenterOn3 | ( | const Standard_Integer | Index,
|  | Standard_Real & | ParArg,
|  | gp_Pnt2d & | PntSol
| ) |  | const

Returns informations about the center (on the curv) of the result. ParArg is the intrinsic parameter of the point on the argument curv. PntSol is the center point of the solution curv. Raises NotDone if the construction algorithm didn't succeed. It raises OutOfRange if Index is greater than the number of solutions.

Standard_Boolean GccAna_Circ2dTanOnRad::IsDone | ( |  | ) | const

Returns true if the construction algorithm does not fail (even if it finds no solution). Note: IsDone protects against a failure arising from a more internal intersection algorithm, which has reached its numeric limits.

Standard_Boolean GccAna_Circ2dTanOnRad::IsTheSame1 | ( | const Standard_Integer | Index | ) | const

Returns True if the solution number Index is equal to the first argument and False in the other cases. Raises NotDone if the construction algorithm didn't succeed. It raises OutOfRange if Index is greater than the number of solutions.

Standard_Integer GccAna_Circ2dTanOnRad::NbSolutions | ( |  | ) | const

This method returns the number of circles, representing solutions. Raises NotDone if the construction algorithm didn't succeed.

void GccAna_Circ2dTanOnRad::Tangency1 | ( | const Standard_Integer | Index,
|  | Standard_Real & | ParSol,
|  | Standard_Real & | ParArg,
|  | gp_Pnt2d & | PntSol
| ) |  | const

Returns informations about the tangency point between the result number Index and the first argument. ParSol is the intrinsic parameter of the point on the solution curv. ParArg is the intrinsic parameter of the point on the argument curv. PntSol is the tangency point on the solution curv. PntArg is the tangency point on the argument curv. Raises NotDone if the construction algorithm didn't succeed. It raises OutOfRange if Index is greater than the number of solutions.

gp_Circ2d GccAna_Circ2dTanOnRad::ThisSolution | ( | const Standard_Integer | Index | ) | const

Returns the solution number Index and raises OutOfRange exception if Index is greater than the number of solutions. Be careful: the Index is only a way to get all the solutions, but is not associated to theses outside the context of the algorithm-object. Raises NotDone if the construction algorithm didn't succeed. It raises OutOfRange if Index is greater than the number of solutions.

void GccAna_Circ2dTanOnRad::WhichQualifier | ( | const Standard_Integer | Index,
|  | GccEnt_Position & | Qualif1
| ) |  | const

Returns the qualifier Qualif1 of the tangency argument for the solution of index Index computed by this algorithm. The returned qualifier is:

- that specified at the start of construction when the solutions are defined as enclosed, enclosing or outside with respect to the argument, or
- that computed during construction (i.e. enclosed, enclosing or outside) when the solutions are defined as unqualified with respect to the argument, or
- GccEnt_noqualifier if the tangency argument is a point. Exceptions Standard_OutOfRange if Index is less than zero or greater than the number of solutions computed by this algorithm. StdFail_NotDone if the construction fails.

The documentation for this class was generated from the following file:

- GccAna_Circ2dTanOnRad.hxx